function [ W,v,A,alpha,obj ] = Optimize_new( X,Ai,lambda,gamma,rho,c )
%OPTIMIZE 此处显示有关此函数的摘要
%   此处显示详细说明

[n,~,m]=size(Ai);
[d,~]=size(X);
alpha=ones(1,m)./m;

maxiter=10;
A=sum(Ai,3)./m;
v=ones(1,d)./d;

for i=1:maxiter
     W  = Optimize_Wnew( X,A,v,gamma,c );
     v=Optimize_v(W );
     A = Optimize_Anew( W,X,lambda,Ai,alpha );
     alpha= Optimize_alphanew( A,Ai,rho );

     
end  



end

